Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface EJBLocalObject

public interface EJBLocalObject

The EJBLocalObject interface must be extended by all enterprise Beans' local interfaces. An enterprise Bean's local interface provides the local client view of an EJB object. An enterprise Bean's local interface defines the business methods callable by local clients.

The enterprise Bean's local interface is defined by the enterprise Bean provider and implemented by the enterprise Bean container.

Method Summary
`EJBLocalHome` | `getEJBLocalHome()` Obtain the enterprise Bean's local home interface.
`java.lang.Object` | `getPrimaryKey()` Obtain the primary key of the EJB local object.
`boolean` | `isIdentical(EJBLocalObject obj)` Test if a given EJB local object is identical to the invoked EJB local object.
`void` | `remove()` Remove the EJB local object.

Method Detail

### getEJBLocalHome

    public EJBLocalHome getEJBLocalHome()
                                 throws EJBException

  Obtain the enterprise Bean's local home interface. The local home interface defines the enterprise Bean's create, finder, remove, and home business methods that are available to local clients.

  Returns:
    A reference to the enterprise Bean's local home interface.
  Throws:
    `EJBException` - Thrown when the method failed due to a system-level failure.

### getPrimaryKey

    public java.lang.Object getPrimaryKey()
                                   throws EJBException

  Obtain the primary key of the EJB local object.

  This method can be called on an entity bean. An attempt to invoke this method on a session Bean will result in an EJBException.

  Returns:
    The EJB local object's primary key.
  Throws:
    `EJBException` - Thrown when the method failed due to a system-level failure or when invoked on a session bean.

### remove

    public void remove()
                throws RemoveException,
                       EJBException

  Remove the EJB local object.

  Throws:
    `RemoveException` - The enterprise Bean or the container does not allow destruction of the object.
    `EJBException` - Thrown when the method failed due to a system-level failure.

### isIdentical

    public boolean isIdentical(EJBLocalObject obj)
                        throws EJBException

  Test if a given EJB local object is identical to the invoked EJB local object.

  Parameters:
    `obj` - An object to test for identity with the invoked object.
  Returns:
    True if the given EJB local object is identical to the invoked object, false otherwise.
  Throws:
    `EJBException` - Thrown when the method failed due to a system-level failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.